Package skyview.process.imagefinder

# Class Prefetcher

java.lang.Object
skyview.process.Processor
skyview.process.imagefinder.Prefetcher

All Implemented Interfaces:
  `Serializable`, `Component`

public class Prefetcher extends Processor
This class makes sure that all of the candidate images are actually present and then if any candidate was not already in the cache is redoes the image finding using the standard image finder. This accommodate cases where the proxy geometry is not a good approximation to the real geometry. It still requires that the image selection be done reasonably well.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Prefetcher()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get the description of this component.
`String`
`getName()`
Get the name of this component.
`void`
`process(Image[] inputs, Image output, int[] source, Sampler samp, DepthSampler dsamp)`
Perform the processing task associated with this object.
`void`
`updateHeader(nom.tam.fits.Header header)`
Update the FITS header to indicate what processing was done.
`boolean`
`updatesOutput()`
Does this processor actually modify the output array?

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Prefetcher

public Prefetcher()

## Method Details

### getName

public String getName()
Description copied from interface: `Component`
Get the name of this component.

### getDescription

public String getDescription()
Description copied from interface: `Component`
Get the description of this component.

### updatesOutput

public boolean updatesOutput()
Description copied from class: `Processor`
Does this processor actually modify the output array?

Specified by:
  `updatesOutput` in class `Processor`

### process

public void process(Image[] inputs, Image output, int[] source, Sampler samp, DepthSampler dsamp)
Description copied from class: `Processor`
Perform the processing task associated with this object.

Specified by:
  `process` in class `Processor`
Parameters:
  `inputs` - The array of input survey images.
  `output` - The output user image. A null output may signal that an error has taken place. If this processor wishes to do something in response to the error, it may look at the ErrorMsg setting.
  `source` - An array giving the source image for each output pixel.
  `samp` - The sampler object used to do spatial sampling of the input images.
  `dsamp` - The sampler in the energy dimension (often null).

### updateHeader

public void updateHeader(nom.tam.fits.Header header)
Update the FITS header to indicate what processing was done.

Specified by:
  `updateHeader` in class `Processor`